
clear all
set more off


***   directories
local dir = "...\replication"


***   sample
forvalues t = 1979/2012 {
	* sample including non-employed
	use "`dir'\data\raw\morg_cleaned_`t'.dta", clear
	* sample selection
	keep if age>=18 & age<=64
	drop if hr_alloc==1 | (hourlyworker==0 & aernwk_flag==1)
	drop if (year>=1974&year<=1988&class==3) | (year>=1989&year<=1993&(class==5|class==6)) | (year>=1994&(class==6|class==7))
	replace hr_wage =. if hr_wage<=0
	drop if state==53 /* DC */
	if year<=1988 keep if mlr==1|mlr==3|mlr==4|mlr==5|mlr==7 /* employed (at work) & unemployed & not in labor force (housework & school & others) */
	if year>=1989 keep if mlr==1|mlr==3|mlr==4|mlr==5|mlr==6|mlr==7 /* employed (at work) & unemployed (on layoff & looking) & not in labor force (? & ? & others) */
	if year>=1994 keep if mlr==1|mlr==3|mlr==4|mlr==5|mlr==7 /* employed (at work) & unemployed (on layoff & looking) & not in labor force (retired & others) */
	drop if hr_wage==. & mlr==1 /* missing wages for employed */
	* variable construction
	g w = hr_wage /* ernwkt/hours or ernhr */
	g s = educomp
	g x = exp
	g g = (sex==1)
	keep state year w s x g wgt_hrs
	rename wgt_hrs wgt
	drop if wgt!=. & w==.
	qui compress
	save "`dir'\data\table1_`t'.dta", replace

}

* 1979-1989
use "`dir'\data\table1_1979.dta", replace
forvalues t = 1980/1989 {
	qui append using "`dir'\data\table1_`t'.dta"
}
su year s x g w [aw=wgt] if w!=.
* 1990-1999
use "`dir'\data\table1_1990.dta", replace
forvalues t = 1990/1999 {
	qui append using "`dir'\data\table1_`t'.dta"
}
su year s x g w [aw=wgt] if w!=.
* 2000-2012
use "`dir'\data\table1_2000.dta", replace
forvalues t = 2000/2012 {
	qui append using "`dir'\data\table1_`t'.dta"
}
su year s x g w [aw=wgt] if w!=.

forvalues t = 1979/2012 {
	erase "`dir'\data\table1_`t'.dta"
}

