
clear all
set more off
set scheme lean1
graph set eps fontface Times


***   directories
local dir = "...\replication"


***   The statutory minimum wage   ***

use "`dir'\data\mw.dta", clear
keep if year>=1979

* low minimum-wage states
* in Indiana 32, nd North Dakota 44, sd South Dakota 45, ne Nebraska 46, ks Kansas 47, va Virginia 54, sc South Carolina 57, ga Georgia 58, tn Tennessee 62, al Alabama 63, ms Mississippi 64, la Louisiana 72, ok Oklahoma 73, tx Texas 74, id Idaho 82, wy Wyoming 83, ut Utah 87
twoway (line minw year if state==32) (line minw year if state==44) (line minw year if state==45) ///
       (line minw year if state==46) (line minw year if state==47) (line minw year if state==54) ///
       (line minw year if state==57) (line minw year if state==58) (line minw year if state==62) ///
       (line minw year if state==63) (line minw year if state==64) (line minw year if state==72) ///
       (line minw year if state==73) (line minw year if state==74) (line minw year if state==82) ///
       (line minw year if state==83) (line minw year if state==87)  ///
	 , legend(off) ylabel(2(2)10) ytitle("Minimum wage (1$)") xtitle("") ymtick(##2) xmtick(##10) aspectratio(.8) scale(1.7) ylabel(2(2)10, grid glp(dot)) xlabel(1980(10)2010, grid glp(dot)) graphregion(margin(-15 -10 0 0))
graph export "`dir'\figure\figure2a.eps", as(eps) preview(off) replace
graph export "`dir'\figure\figure2a.jpg", as(jpg) quality(90) replace
* medium minimum-wage states
* nh New Hampshire 12, pa Pennsylvania 23, oh Ohio 31, mi Michigan 34, wi Wisconsin 35, mn Minnesota 41, mo Missouri 43, md Maryland 52, wv West Virginia 55, nc North Carolina 56, ky Kentucky 61, ar Arkansas 71, mt Montana 81, co Colorado 84, nm New Mexico 85, az Arizona 86, nv Nevada 88
twoway (line minw year if state==12) (line minw year if state==23) (line minw year if state==31) ///
       (line minw year if state==34) (line minw year if state==35) (line minw year if state==41) ///
       (line minw year if state==43) (line minw year if state==52) (line minw year if state==55) ///
	   (line minw year if state==56) (line minw year if state==61) (line minw year if state==71) ///
       (line minw year if state==81) (line minw year if state==84) (line minw year if state==85) ///
       (line minw year if state==86) (line minw year if state==88) ///
	 , legend(off) ylabel(2(2)10) ytitle("Minimum wage (1$)") xtitle("") ymtick(##2) xmtick(##10) aspectratio(.8) scale(1.7) ylabel(2(2)10, grid glp(dot)) xlabel(1980(10)2010, grid glp(dot)) graphregion(margin(-15 -10 0 0))
graph export "`dir'\figure\figure2b.eps", as(eps) preview(off) replace
graph export "`dir'\figure\figure2b.jpg", as(jpg) quality(90) replace
* high minimum-wage states
* me Maine 11, vt Vermont 13, ma Massachusetts 14, ri Rhode Island 15, ct Connecticut 16, ny New York 21, nj New Jersey 22, il Illinois 33, ia Iowa 42, de Delaware 51, fl Florida 59, wa Washington 91, or Oregon 92, ca California 93, ak Alaska 94, hi Hawaii 95
twoway (line minw year if state==11) (line minw year if state==13) (line minw year if state==14) ///
       (line minw year if state==15) (line minw year if state==16) (line minw year if state==21) ///
       (line minw year if state==22) (line minw year if state==33) (line minw year if state==42) ///
	   (line minw year if state==51) (line minw year if state==59) (line minw year if state==91) ///
       (line minw year if state==92) (line minw year if state==93) (line minw year if state==94) ///
       (line minw year if state==95) ///
	 , legend(off) ylabel(2(2)10) ytitle("Minimum wage (1$)") xtitle("") ymtick(##2) xmtick(##10) aspectratio(.8) scale(1.7) ylabel(2(2)10, grid glp(dot)) xlabel(1980(10)2010, grid glp(dot)) graphregion(margin(-15 -10 0 0))
graph export "`dir'\figure\figure2c.eps", as(eps) preview(off) replace
graph export "`dir'\figure\figure2c.jpg", as(jpg) quality(90) replace
