
clear all
set more off


***   directories
local dir = "...\replication"


***   regressors: censoring probabilities
local var_prob "s_13 x_0_9 x_10_19 x_20_29 x_30 g"


** Calculate the empirical probability of censoring
forvalues t = 1979/2012 {

	forvalues s = 1/50 {
	
		use "`dir'\data\sample_`t'.dta", clear
				
		keep if sid==`s'
		keep if d_miss==0
		
		preserve
		collapse (count) N=dc1, by(year sid `var_prob')
		save "`dir'\data\prob\prob0\pr_`t'_`s'.dta", replace
			
		restore
		collapse pr_c1=dc1 pr_c2=dc2 [pw=wgt], by(year sid `var_prob')
		qui merge 1:1 year sid `var_prob' using "`dir'\data\prob\prob0\pr_`t'_`s'.dta"
		drop _merge
		qui compress
		save "`dir'\data\prob\prob0\pr_`t'_`s'.dta", replace
		
	}
		
}
