
clear all
set more off
set scheme lean1
graph set eps fontface Times


***   directories
local dir = "...\replication"


***   =50 if imputed, =0 if not imputed
local thre = 50


**  Second stage: state-level mean regressions
if `thre'!=0 {
	use "`dir'\data\est\step1_all.dta", clear
}
if `thre'==0 {
	use "`dir'\data\est\est0\step1_all.dta", clear
}
sum s [aw=sumwt]
local sbar = r(mean)
sum x [aw=sumwt]
local xbar = r(mean)
drop state
rename sid state
xi i.year i.state*year
forvalues Q = 4/97 {

	forvalues j = 0/5 {
		
		di "b`j'_q`Q'"
		qui reg a`j'_q`Q' lnmw _Iyear_1980-_IstaXyear_50 [aw=sumwt], cluster(state)
		local b`j'_q`Q' = _b[lnmw]
		
	}
	
	local b6_q`Q' = `b1_q`Q'' + 2* `b2_q`Q''*`sbar'
	local b7_q`Q' = `b3_q`Q'' + 2* `b4_q`Q''*`xbar'
	
}
drop _all
set obs 1
forvalues Q = 4/97 {
	forvalues j = 0/7 {
		g b`j'_q`Q' = `b`j'_q`Q''
	}
}
g i =_n
reshape long b0_q b1_q b2_q b3_q b4_q b5_q b6_q b7_q, i(i) j(q)
drop i
forvalues j = 0/7 {

	rename b`j'_q b`j'
	
}
if `thre'!=0 {
	save "`dir'\data\est\step2.dta", replace
}
if `thre'==0 {
	save "`dir'\data\est\est0\step2.dta", replace
}

**  Second stage: state-level mean regressions with lags and leads
if `thre'!=0 {
	use "`dir'\data\est\step1_all.dta", clear
	sum s [aw=sumwt]
	local sbar = r(mean)
	sum x [aw=sumwt]
	local xbar = r(mean)
	sum lnmw [aw=sumwt]
	local lnmwbar = r(mean)
	drop state
	rename sid state
	xtset state year
	forvalues t = 1/2 {
		g lnmw_l`t' = L`t'.lnmw
		g lnmw_f`t' = F`t'.lnmw
	}
	xi i.year i.state*year
	forvalues Q = 4/97 {

		forvalues j = 0/5 {
			
			di "b`j'_q`Q'"
			qui reg a`j'_q`Q' lnmw lnmw_l1 lnmw_f1 _Iyear_1980-_IstaXyear_50 [aw=sumwt], cluster(state)
			local b`j'_q`Q' = _b[lnmw] + _b[lnmw_l1]
			local b`j'_f_q`Q' = _b[lnmw_f1]
			
		}
		
		local b6_q`Q' = `b1_q`Q'' + 2* `b2_q`Q''*`sbar'
		local b7_q`Q' = `b3_q`Q'' + 2* `b4_q`Q''*`xbar'
		local b6_f_q`Q' = `b1_f_q`Q'' + 2* `b2_f_q`Q''*`sbar'
		local b7_f_q`Q' = `b3_f_q`Q'' + 2* `b4_f_q`Q''*`xbar'
		
	}
	drop _all
	set obs 1
	forvalues Q = 4/97 {
		forvalues j = 0/7 {
			g b`j'_q`Q'   = `b`j'_q`Q''
			g b`j'_f_q`Q' = `b`j'_f_q`Q''
		}
	}
	g i =_n
	reshape long b0_q   b1_q   b2_q   b3_q   b4_q   b5_q   b6_q   b7_q   ///
				 b0_f_q b1_f_q b2_f_q b3_f_q b4_f_q b5_f_q b6_f_q b7_f_q ///
		  , i(i) j(q)
	drop i
	forvalues j = 0/7 {
		rename b`j'_q   b`j'
		rename b`j'_f_q b`j'_f
	}
	if `thre'!=0 {
		save "`dir'\data\est\step2_ll.dta", replace
	}
	if `thre'==0 {
		save "`dir'\data\est\est0\step2_ll.dta", replace
	}
}
