
clear all


***   directories
local dir = "...\replication"


***   =50 if imputed, =0 if not imputed
local thre = 50


**  2nd stage: beta
if `thre'!=0 {
	use "`dir'\data\est\step1_all.dta", clear
}
if `thre'==0 {
	use "`dir'\data\est\est0\step1_all.dta", clear
}
sum s [aw=sumwt]
local sbar = r(mean)
sum x [aw=sumwt]
local xbar = r(mean)
if `thre'!=0 {
	insheet using "`dir'\data\boot\boot50\bootstrap_final.csv", clear
}
if `thre'==0 {
	insheet using "`dir'\data\boot\boot0\bootstrap_final.csv", clear
}
g n = _n
lab var n "# replications"
forvalues j = 1/6 {
		
	local i = `j'
	local k = `j'-1
	local q = 4
			
	while `i'<=564 {
		rename v`i' b`k'_q`q'
		lab var b`k'_q`q' "b`k', pct=`q'"
		local i = `i' + 6
		local q = `q' + 1
	}
			
}
forvalues q = 4/97 {
	qui g b6_q`q' = b1_q`q' + 2*b2_q`q'*`sbar'
	qui g b7_q`q' = b3_q`q' + 2*b4_q`q'*`xbar'
	lab var b6_q`q' "b6, pct=`q'"
	lab var b7_q`q' "b7, pct=`q'"
}
order n
qui compress
if `thre'!=0 {
	qui save "`dir'\data\boot\step2_boot.dta", replace
}
if `thre'==0 {
	qui save "`dir'\data\boot\boot0\step2_boot.dta", replace
}


**  2nd stage: beta_t, beta_t+1, beta_t-1
if `thre'!=0 {
use "`dir'\data\est\step1_all.dta", clear
sum s [aw=sumwt]
local sbar = r(mean)
sum x [aw=sumwt]
local xbar = r(mean)
* contemporaneous effect
insheet using "`dir'\data\boot\boot50\bootstrap_final_LL1.csv", clear
g n = _n
lab var n "# replications"
forvalues j = 1/6 {
		
	local i = `j'
	local k = `j'-1
	local q = 4
			
	while `i'<=564 {
		rename v`i' b`k'_q`q'
		lab var b`k'_q`q' "b`k', pct=`q'"
		local i = `i' + 6
		local q = `q' + 1
	}
			
}
order n
qui compress
qui save "`dir'\data\boot\step2_boot_ll.dta", replace
* lagged effect
insheet using "`dir'\data\boot\boot50\bootstrap_final_LL0.csv", clear
g n = _n
lab var n "# replications"
forvalues j = 1/6 {
		
	local i = `j'
	local k = `j'-1
	local q = 4
			
	while `i'<=564 {
		rename v`i' b`k'b_q`q'
		lab var b`k'b_q`q' "b`k', lag, pct=`q'"
		local i = `i' + 6
		local q = `q' + 1
	}
			
}
order n
qui compress
merge 1:1 n using "`dir'\data\boot\step2_boot_ll.dta"
drop _merge
* long term effect
forvalues j = 0/5 {
	forvalues Q = 4/97 {
		qui replace b`j'_q`Q' = b`j'_q`Q' + b`j'b_q`Q'
	}
}
drop b0b_q4-b5b_q97
forvalues q = 4/97 {
	qui g b6_q`q' = b1_q`q' + 2*b2_q`q'*`sbar'
	qui g b7_q`q' = b3_q`q' + 2*b4_q`q'*`xbar'
	lab var b6_q`q' "b6, pct=`q'"
	lab var b7_q`q' "b7, pct=`q'"
}
order n
qui compress
qui save "`dir'\data\boot\step2_boot_ll.dta", replace
* lead effect
insheet using "`dir'\data\boot\boot50\bootstrap_final_LL2.csv", clear
g n = _n
lab var n "# replications"
forvalues j = 1/6 {
		
	local i = `j'
	local k = `j'-1
	local q = 4
			
	while `i'<=564 {
		rename v`i' b`k'f_q`q'
		lab var b`k'f_q`q' "b`k'f, lead, pct=`q'"
		local i = `i' + 6
		local q = `q' + 1
	}
			
}
forvalues q = 4/97 {
	qui g b6f_q`q' = b1f_q`q' + 2*b2f_q`q'*`sbar'
	qui g b7f_q`q' = b3f_q`q' + 2*b4f_q`q'*`xbar'
	lab var b6f_q`q' "b6, lead, pct=`q'"
	lab var b7f_q`q' "b7, lead, pct=`q'"
}
aorder
order n
qui compress
merge 1:1 n using "`dir'\data\boot\step2_boot_ll.dta"
drop _merge
qui save "`dir'\data\boot\step2_boot_ll.dta", replace
}
